<?php
include_once("c_events_opo_card_db.php");
class c_page_cab_events_opo_card_db_viewer extends c_page_cab_events_opo_card_db
{
  public $h1='Дамп записей вьювера мероприятия ' ;
  function block_main()
  { $this->page_title() ;
	?><h2><?echo $this->rec_event['viewer_name']?>:</h2><?


    ?><h3>Дубликаты ID ФЛ из вьювера (совмещенцы с попаданием обоих должностей в мероприятие) <?echo $this->rec_event['viewer_name']?></h3><?
      $recs=execSQL('select pkey as id,count(pkey) as cnt from '.$this->rec_event['viewer_name'].' group by pkey having cnt>1',0,1) ;
      print_2x_arr($recs);

    $cnt=execSQL_value('select count(pkey) from '.$this->rec_event['viewer_name'].' ') ;
    echo 'Всего в таблице <strong>'.$cnt.'</strong> записей, показаны последние 100<br>' ;
	$recs=execSQL('select pkey as id from '.$this->rec_event['viewer_name'].' order by pkey desc limit 100',0,1) ;
	print_2x_arr($recs) ;
  }


}



?>
